Page MenuHomePhabricator

CX2: Text selection breaks when there is a citation in the middle
Closed, ResolvedPublic

Description

When selecting a sentence with a citation in the middle, the selection gets reseted as soon as the citation is included in the selection. This interferes in the select/copy/cut/paste workflow, making the editing experience less fluent. The issue is illustrated below:

The problem seems to be present in Firefox, but not in Chrome so there may be abrowser-specific aspect to it. In addition, the issue does not seem to happen on Visual Editor.

This issue was mentioned in a discussion, translating 1936 Cansiglio earthquake from English to Italian.

Event Timeline

Pginer-WMF triaged this task as Medium priority.Jun 12 2018, 12:20 PM
Pginer-WMF created this task.
Vvjjkkii renamed this task from CX2: Text selection breaks when there is a citation in the middle to h7aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from h7aaaaaaaa to CX2: Text selection breaks when there is a citation in the middle.Jul 2 2018, 8:57 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
matmarex closed this task as Resolved.Jan 4 2020, 3:19 PM
matmarex added a subscriber: matmarex.

This doesn't seem to occur any more, I was able to make such selections in Firefox as well.

(Note that the reference doesn't visually look highlighted – that's T241880 – but I could still copy-paste it etc.)